PUT api/quotes/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
UpdateQuoteRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| CallOutFee | decimal number |
None. |
|
| LabourAmount | decimal number |
None. |
|
| MaterialsAmount | decimal number |
None. |
|
| TravelAmount | decimal number |
None. |
|
| OtherAmount | decimal number |
None. |
|
| TaxAmount | decimal number |
None. |
|
| DepositAmount | decimal number |
None. |
|
| EstimatedArrival | date |
None. |
|
| EstimatedDurationMinutes | integer |
None. |
|
| ValidUntilUtc | date |
None. |
|
| Terms | string |
None. |
|
| Exclusions | string |
None. |
|
| Notes | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"callOutFee": 1.0,
"labourAmount": 2.0,
"materialsAmount": 3.0,
"travelAmount": 4.0,
"otherAmount": 5.0,
"taxAmount": 6.0,
"depositAmount": 7.0,
"estimatedArrival": "2026-07-16T16:47:12.4056428+02:00",
"estimatedDurationMinutes": 1,
"validUntilUtc": "2026-07-16T16:47:12.4056428+02:00",
"terms": "sample string 9",
"exclusions": "sample string 10",
"notes": "sample string 11"
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.